Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction
Class BufferAction

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.BufferAction

public class BufferAction
extends java.lang.Object

Id: BufferAction.java,v 1.0 24 sept. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: BufferAction Original Author: Yohan Colmant The buffer used in different actions like the copy or move action

Field Summary
`private java.util.Vector` | `clipboard` Files/directories to copy or move
`private java.lang.String` | `clipboardParameter` Param used to set if the selected target is to copy or to move
`private java.lang.String` | `clipboardPath` The path where are the resource to copy or move
`private Space` | `clipboardSpace` The space from wich one we want to copy or move resource
`private java.lang.String` | `currentSortType` The current and default sort type for the resources
`private java.lang.String[]` | `filesToDelete` Files/directories to delete
`private java.lang.String` | `fileToRename` File/directory to rename
`private java.io.InputStream` | `inputStream` Used when we upload a document

Constructor Summary
`BufferAction()` Default constructor

Method Summary
`java.util.Vector` | `getClipboard()` Return the clipboard
`java.lang.String` | `getClipboardParameter()` Returns the clipboardParameter
`java.lang.String` | `getClipboardPath()` Return the clipboard path
`Space` | `getClipboardSpace()` Returns the clipboardSpace
`java.lang.String` | `getCurrentSortType()`
`java.lang.String[]` | `getFilesToDelete()` Return the files to delete
`java.lang.String` | `getFileToRename()` Return the file to rename
`java.io.InputStream` | `getInputStream()`
`void` | `setClipboard(java.util.Vector clipboard)` Set the clipboard
`void` | `setClipboardParameter(java.lang.String clipboardParameter)` Set the clipboardParameter
`void` | `setClipboardPath(java.lang.String clipboardPath)` Set the clipboard path
`void` | `setClipboardSpace(Space clipboardSpace)` Set the clipboard space
`void` | `setCurrentSortType(java.lang.String currentSortType)`
`void` | `setFilesToDelete(java.lang.String[] filesToDelete)` Set the files to delete
`void` | `setFileToRename(java.lang.String fileToRename)` Set the file rename
`void` | `setInputStream(java.io.InputStream inputStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clipboardSpace

    private Space clipboardSpace

  The space from wich one we want to copy or move resource

### clipboard

    private java.util.Vector clipboard

  Files/directories to copy or move

### clipboardPath

    private java.lang.String clipboardPath

  The path where are the resource to copy or move

### clipboardParameter

    private java.lang.String clipboardParameter

  Param used to set if the selected target is to copy or to move

### filesToDelete

    private java.lang.String[] filesToDelete

  Files/directories to delete

### fileToRename

    private java.lang.String fileToRename

  File/directory to rename

### currentSortType

    private java.lang.String currentSortType

  The current and default sort type for the resources

### inputStream

    private java.io.InputStream inputStream

  Used when we upload a document

Constructor Detail

### BufferAction

    public BufferAction()

  Default constructor

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

  Returns:
    Returns the inputStream.

### setInputStream

    public void setInputStream(java.io.InputStream inputStream)

  Parameters:
    `inputStream` - The inputStream to set.

### getCurrentSortType

    public java.lang.String getCurrentSortType()

  Returns:
    Returns the currentSortType.

### setCurrentSortType

    public void setCurrentSortType(java.lang.String currentSortType)

  Parameters:
    `currentSortType` - The currentSortType to set.

### getClipboardSpace

    public Space getClipboardSpace()

  Returns the clipboardSpace

  Returns:
    Returns the clipboardSpace

### setClipboardSpace

    public void setClipboardSpace(Space clipboardSpace)

  Set the clipboard space

  Parameters:
    `clipboardSpace` - The clipboardSpaceAccess to set.

### getClipboard

    public java.util.Vector getClipboard()

  Return the clipboard

  Returns:
    Returns the clipboard.

### setClipboard

    public void setClipboard(java.util.Vector clipboard)

  Set the clipboard

  Parameters:
    `clipboard` - The clipboard to set.

### getClipboardParameter

    public java.lang.String getClipboardParameter()

  Returns the clipboardParameter

  Returns:
    Returns the clipboardParameter.

### setClipboardParameter

    public void setClipboardParameter(java.lang.String clipboardParameter)

  Set the clipboardParameter

  Parameters:
    `clipboardParameter` - The clipboardParameter to set.

### getClipboardPath

    public java.lang.String getClipboardPath()

  Return the clipboard path

  Returns:
    Returns the clipboardPath.

### setClipboardPath

    public void setClipboardPath(java.lang.String clipboardPath)

  Set the clipboard path

  Parameters:
    `clipboardPath` - The clipboardPath to set.

### getFilesToDelete

    public java.lang.String[] getFilesToDelete()

  Return the files to delete

  Returns:
    Returns the filesToDelete.

### setFilesToDelete

    public void setFilesToDelete(java.lang.String[] filesToDelete)

  Set the files to delete

  Parameters:
    `filesToDelete` - The filesToDelete to set.

### getFileToRename

    public java.lang.String getFileToRename()

  Return the file to rename

  Returns:
    Returns the fileToRename.

### setFileToRename

    public void setFileToRename(java.lang.String fileToRename)

  Set the file rename

  Parameters:
    `fileToRename` - The fileToRename to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD